﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Public SqlLite As SQL

	
	Private Const DbName As String = "temp.db"
	
End Sub

' init database 
Sub InitDb
	
	' check if db exits in app folder 
	If File.Exists(File.DirApp, DbName) = False Then File.Copy(File.DirAssets, "Temp.db", File.DirApp, DbName)

	SqlLite.InitializeSQLite(File.DirApp, DbName,  True)
End Sub

' Write to database 
Sub WritteToDb(SqlQuery As String, FormApp As String)

	SqlLite.BeginTransaction
	
	Try
		SqlLite.ExecNonQuery(SqlQuery)
		SqlLite.TransactionSuccessful
	Catch
		Log(LastException)
		SqlLite.Rollback
	End Try
	
	
End Sub

' iz path-a razločimo path in ime 
Sub SplitFilePath(FullPath As String) As Map
	
	Dim filePath As String = FullPath.SubString2(0, FullPath.LastIndexOf("\"))
	Dim fileName As String = FullPath.SubString2(FullPath.LastIndexOf("\") + 1,FullPath.Length)
	
	Dim fileMap As Map = CreateMap(filePath : fileName)
	
	Return fileMap
End Sub